aboutsummaryrefslogtreecommitdiffstats
path: root/osmo-release.sh
diff options
context:
space:
mode:
authorPau Espin Pedrol <pespin@sysmocom.de>2018-05-02 15:58:37 +0200
committerHarald Welte <laforge@gnumonks.org>2018-05-02 21:30:30 +0000
commit0b0f9088591fafe332c3e85fc9563960c66a2910 (patch)
tree945d6a6472409502078cc37e6f75be9dd72d1df1 /osmo-release.sh
parentdcbb24b8c83ff5eca9c07988a831e1f5d99836cc (diff)
osmo-release.sh: Fix error condition no LIBVERSION modified
It turns out git status doesn't return an error code in any of the modified/unmodified cases. It's not clear anyway why we check TODO-RELEASE when we actually care about the file containing the LIBVERSION (non-)change. Change-Id: I2320d6ee29cd528e55c0609be1af350655123b85
Diffstat (limited to 'osmo-release.sh')
-rwxr-xr-xosmo-release.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/osmo-release.sh b/osmo-release.sh
index 7ae4da0d..0e850235 100755
--- a/osmo-release.sh
+++ b/osmo-release.sh
@@ -40,11 +40,8 @@ else
grep '#' TODO-RELEASE > TODO-RELEASE.clean
mv TODO-RELEASE.clean TODO-RELEASE
if [ "z$MAKEMOD" = "z" ]; then
- git status -s -uno TODO-RELEASE
- if [ $? -ne 0 ]; then
- echo "Before releasing, please modify some of the libversions: $LIBVERS"
- exit 1
- fi
+ echo "Before releasing, please modify some of the libversions: $LIBVERS"
+ exit 1
fi
xargs -a TODO-RELEASE.entries -r -d'\n' -I entry dch -m -v $NEW_VER "entry"
rm TODO-RELEASE.entries